Instagram Comments API

Get comments from an Instagram post or reel. Not gonna lie, this is one of our most error prone endpoints. You should expect ~90% success rate.

1 creditper request
GET
/v2/instagram/post/comments
curl "https://api.scrapecreators.com/v2/instagram/post/comments" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 33929114,
  "credits_charged": 15,
  "comments": [
    {
      "id": "18051843701642870",
      "text": ""...but who wants to know people who don't love animals anyway?". ❤️",
      "created_at": "2025-09-16T17:03:04.000Z",
      "comment_like_count": 0,
      "child_comment_count": 0,
      "replies": [],
      "replies_cursor": null,
      "has_more_replies": false,
      "user": {
        "is_verified": false,
        "id": "46773599357",
        "pk": "46773599357",
        "is_unpublished": null,
        "profile_pic_url": "https://scontent-dfw5-1.cdninstagram.com/v/t51.2885-19/542013919_18051324464559358_4060586438619554592_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-dfw5-1.cdninstagram.com&_nc_cat=110&_nc_oc=Q6cZ2QEVOAPWq7DXE6cVfhoMQb0GTMvPo_vizELP9TUgQylvA5jBW1WSonDzvjeTQpAGJ3w&_nc_ohc=b__bzrMG6kYQ7kNvwGXM67R&_nc_gid=oDBffhoPbGLAq2tbCGpGKg&edm=AKp6CbIBAAAA&ccb=7-5&oh=00_AflThVwZ86n6DiACA5-zJCNFQZWBwHfaG6AXZclgea57BA&oe=695A3139&_nc_sid=d62176",
        "username": "catherina_thijs",
        "fbid_v2": "17841446780736699"
      }
    },
    {
      "id": "18111838858552963",
      "text": "What a lovely lady, I'm with her who wants to know anyone who doesn't love animals ❤️👏",
      "created_at": "2025-09-16T19:53:21.000Z",
      "comment_like_count": 0,
      "child_comment_count": 0,
      "replies": [],
      "replies_cursor": null,
      "has_more_replies": false,
      "user": {
        "is_verified": false,
        "id": "45139684051",
        "pk": "45139684051",
        "is_unpublished": null,
        "profile_pic_url": "https://scontent-dfw5-2.cdninstagram.com/v/t51.2885-19/131041534_206071521057900_4698154526741005751_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby40NTMuYzIifQ&_nc_ht=scontent-dfw5-2.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEVOAPWq7DXE6cVfhoMQb0GTMvPo_vizELP9TUgQylvA5jBW1WSonDzvjeTQpAGJ3w&_nc_ohc=235kWnXbjA4Q7kNvwGllJXn&_nc_gid=oDBffhoPbGLAq2tbCGpGKg&edm=AKp6CbIBAAAA&ccb=7-5&oh=00_AfnV5mP6h6-wQ_Jy4mM5vjCuZ-5vbGiAUEw-dtjcjpiWAA&oe=695A1D02&_nc_sid=d62176",
        "username": "yvonne.tate.3",
        "fbid_v2": "17841445241532460"
      }
    }
  ],
  "cursor": "AQHSpoi6HyDbzYRMzrD........."
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

The URL of the post or reel to get comments from

Example:
https://www.instagram.com/reel/DOq6eV6iIgD
cursor
string

The cursor to get more comments. Get 'cursor' from previous response.

Example:
eyJjYWNoZWRfY29tbWVud...
include_replies
boolean

Set to true to include replies for every returned comment. This always costs 15 credits because each comment requires a separate Instagram replies request. You will still be charged 15 credits if no replies are returned. This is much slower and may time out at 29 seconds.

Adds 15 credits when used
Example:
true